commit:     5ed3ea16bd54d2445d25941841e955d62c5025c3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  4 11:50:28 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul  4 12:36:24 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ed3ea16

dev-python/pdm: Remove pkgutil-style __init__.py to fix pdm-backend

Remove the pkgutil-style `__init__.py` file that apparently causes
the tests in dev-python/pdm-backend to use the previously-installed
pdm-backend version rather than the new one.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pdm/{pdm-2.25.4.ebuild => pdm-2.25.4-r1.ebuild} | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/dev-python/pdm/pdm-2.25.4.ebuild 
b/dev-python/pdm/pdm-2.25.4-r1.ebuild
similarity index 88%
rename from dev-python/pdm/pdm-2.25.4.ebuild
rename to dev-python/pdm/pdm-2.25.4-r1.ebuild
index e7e335bd8196..610e35d9d2ab 100644
--- a/dev-python/pdm/pdm-2.25.4.ebuild
+++ b/dev-python/pdm/pdm-2.25.4-r1.ebuild
@@ -61,6 +61,9 @@ src_prepare() {
 
        # unpin deps
        sed -i -e 's:,<[0-9.a]*::' pyproject.toml || die
+       # remove pkgutil namespace magic, as it doesn't work and makes
+       # dev-python/pdm-backend tests test the wrong package
+       rm src/pdm/__init__.py || die
 }
 
 python_test() {
@@ -70,7 +73,9 @@ python_test() {
                # unhappy about extra packages being installed?
                # (also fails randomly in venv)
                tests/cli/test_build.py::test_build_with_no_isolation
+               # TODO: random regression?
+               tests/cli/test_python.py::test_find_python
        )
 
-       epytest  -m "not network and not integration and not path"
+       epytest -m "not network and not integration and not path"
 }

Reply via email to